So once I have computed my HiddenLineDrawing, I have a collection of segments which are stored in .Segments…
hdp=Rhino.Geometry.HiddenLineDrawingParameters()
hdp.AbsoluteTolerance=sc.doc.ModelAbsoluteTolerance
[hdp.AddGeometry(sc.doc.Objects.Find(objID).Geometry,"") for objID in objIDs]
hdp.SetViewport(vp)
hdp.Flatten=True
hld=Rhino.Geometry.HiddenLineDrawing.Compute(hdp,True)
#enumerate the collection of segments
for i,seg in enumerate(hld.Segments):
#this works
crvID=sc.doc.Objects.AddCurve(seg.CurveGeometry)
However, some segments are polycurves I would like to explode… And I haven’t figured out how to turn the “HiddenLineDrawingSegment+HldCurveProxy” into RhinoCommon curve geometry so that I can explode it…
All I have been able to do so far is add the unexploded curve to the document as my scriptlet example above, and then explode it with rhinoscriptsyntax methods… which I would like to avoid if possible. I assume there has to be something simple I missed for doing this?
Edit: BTW, after compute, I can get hld.Segments - that is the only thing that seems to work though - I cannot seem to access hld.Objects or hld.FullCurves as it seems I should…
Thanks,
–Mitch